Bug Hunting Session
Bug 84684 - filter: RTF importer ignores grouped shapes
Summary: filter: RTF importer ignores grouped shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-10-05 09:32 UTC by Luke
Modified: 2016-09-21 19:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ungrouped RTF (62.99 KB, application/rtf)
2014-10-05 09:32 UTC, Luke
Details
Same RTF but grouped (61.32 KB, application/rtf)
2014-10-05 09:33 UTC, Luke
Details
Comparison: Ungrouped on top, Grouped on bottom (187.96 KB, image/png)
2014-11-25 07:44 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-10-05 09:32:30 UTC
Created attachment 107353 [details]
Sample ungrouped RTF

Steps to Reproduce:
1. Insert multiple shapes into Word
2. Save as RTF
3. Group the shapes
4. Save as RTF
5. Open both docs in Writer

Expected results:
grouped and ungrouped look the same in Writer

Actual results:
The grouped RTF file shows nothing in Writer
Comment 1 Luke 2014-10-05 09:33:01 UTC
Created attachment 107354 [details]
Same RTF but grouped
Comment 2 Robinson Tryon (qubit) 2014-10-10 04:16:05 UTC
(In reply to Luke from comment #0)
> 5. Open both docs in Writer
> 
> Expected results:
> grouped and ungrouped look the same in Writer
> 
> Actual results:
> The grouped RTF file shows nothing in Writer

TESTING with LO 4.3.2.2 + Ubuntu 14.04

The grouped RTF file shows nothing (as described above).

Could you please provide screenshots showing how the two files are rendered in MS-Word?

Status -> NEW
Comment 3 Alexandr 2014-11-23 14:06:09 UTC
Reproducible with LibreOffice 3.5.4, 4.3.3 and 4.4.0.0beta1 on Debian. MS Word Viewer shows the grouped shape.
Comment 4 Luke 2014-11-25 07:44:51 UTC
Created attachment 109987 [details]
Comparison: Ungrouped on top, Grouped on bottom

Adding the RTF guru
Comment 5 Alexandr 2015-08-10 15:07:15 UTC
Reproducible with LibreOffice 4.4.5 and 5.0.0 on Debian Jessie.
Comment 6 Commit Notification 2016-09-20 07:56:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5edebdf67720ac0867b088400e2b31806138dc25

tdf#84684 RTF import: fix ZOrder of child shapes inside group shape

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-09-21 09:33:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b29110c74188b8245403bdc7e32dc9e65edb09e6&h=libreoffice-5-2

tdf#84684 RTF import: fix ZOrder of child shapes inside group shape

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Luke 2016-09-21 19:55:28 UTC
Verified FIXED in Version: 5.3.0.0.alpha0+
Build ID: 51c6e9153de507f37d1474b31f557265cb304c06

Thanks Miklos!